Subject: Re: [PATCH v3] staging: qlge: Fix indentation issue under long for loop

From: Greg Kroah-Hartman <[email-masked]>
Date: Tue, 12 Jul 2022 11:44:39 +0200

On Mon, Jul 11, 2022 at 01:55:24PM -0700, Joe Perches wrote:
> On Mon, 2022-07-11 at 10:05 +0200, Greg Kroah-Hartman wrote:
> > On Sun, Jul 10, 2022 at 02:04:18PM -0700, Binyi Han wrote:
> > > Fix indentation issue to adhere to Linux kernel coding style,
> > > Issue found by checkpatch. Change the long for loop into 3 lines. And
> > > optimize by avoiding the multiplication.
> > > 
> > > Signed-off-by: Binyi Han <[email-masked]>
> > > ---
> > > v2:
> > > 	- Change the long for loop into 3 lines.
> > > v3:
> > > 	- Align page_entries in the for loop to open parenthesis.
> > > 	- Optimize by avoiding the multiplication.
> > 
> > Please do not mix coding style fixes with "optimizations" or logical
> > changes.  This should be multiple patches.
> > 
> > Also, did you test this change on real hardware?  At first glance, it's
> > not obvious that the code is still doing the same thing, so "proof" of
> > that would be nice to have.
> 
> I read the code and suggested the optimization.  It's the same logic.
> 
> 

I appreciate the review, but it looks quite different from the original
so it should be 2 different patches, one for coding style changes, and
the second for the "optimization".

thanks,

greg k-h